Ce Forum passera en lecture seule en janvier 2020
Image
Merci de vous rendre sur https://community.jeedom.com maintenant pour vos prochains postes ;)

PI 4 - Buster et V4 et plugins compatibles - On fait le point

Répondre
Avatar de l’utilisateur
bronche
Modérateur
Messages : 973
Inscription : 07 janv. 2016, 19:29
Localisation : Du côté de Issy les Moulineaux la semaine et de Péronne le week-end...

PI 4 - Buster et V4 et plugins compatibles - On fait le point

Message par bronche » 29 sept. 2019, 11:11

Bonjour à tous,
Toujours les mêmes questions sur le forum donc on fait un point :

1/ On commence par parler du système d'exploitation (OS)


Quelle version de debian ?

La version 10 de debian (Buster) n'est pas officiellement supportée pour le moment
On reste toujours sur la version 9 (Strecht).
Sur le site officiel, attention de bien télécharger une 9 car par défaut vous aurez une 10 !. Sur ce point la doc est parfaitement à jour. Le lien de téléchargement aussi.

Et si je prends Buster, il se passe quoi ?
Ça fonctionnera car Jeedom Core est 100 % fonctionnel avec buster mais
La grosse nouveauté c'est Php 7.3...
Pour le moment seul les plugins officiels sont supportés. Les développeurs travaillent (ou pas) sur leur(s) plugin(s).
Vous remarquerez que ça merdouille car vous aurez une page blanche avec des accolades...

2/ On parle maintenant du Pi


Pas de problème avec le Pi 2, 3 et 3 B+. Ils tournent parfaitement bien sur Strecht. (et sous buster)

Pour le Pi4 : Buster est impératif !!!!, et donc potentiellement des soucis avec les plugins.
Par ailleurs, le PI 4 ne permet pas encore le boot natif sur un port USB. Il faudra amorcer sur une carte SD.

Le pi 4 en 4GB est une très belle machine qui présente bien des avantages. Mais chez moi, pour le moment elle reste au placard....

3/ On parle maintenant de la version de Jeedom

Ben je dirai on s'en fout... ;)

La V3 est parfaitement fonctionnel
La V4 aussi mais encore en développement. A ma connaissance, tous les plugins fonctionnent.
Si vous avez compris mon développement, vous constaterez que jeddom se moque de savoir quel PI ou version vous utilisez. C'est juste la version PHP 7.3 (Buster) qui peut poser un problème.


Pour les testeurs (ou les développeurs), j'ai besoin de vos retours pour faire une liste des plugins OK en V4 + Buster.

Amitiés
Phil
Helper Officiel Jeedom
Des images non officielles jeedom maintenues et hébergées par mes soins :
https://queen.useed.fr/SB1268/owncloud/ ... mA9xeSgBgx

Avatar de l’utilisateur
bronche
Modérateur
Messages : 973
Inscription : 07 janv. 2016, 19:29
Localisation : Du côté de Issy les Moulineaux la semaine et de Péronne le week-end...

Re: PI 4 - Buster et V4 et plugins compatibles - On fait le point

Message par bronche » 29 sept. 2019, 11:11

La liste des plugins compatibles Buster :

Tous les plugins officiels de Jeedom SAS
Tous les plugins de @Lunarok
surepetcare, kroomba et elmtouch
knx
Helper Officiel Jeedom
Des images non officielles jeedom maintenues et hébergées par mes soins :
https://queen.useed.fr/SB1268/owncloud/ ... mA9xeSgBgx

Avatar de l’utilisateur
bronche
Modérateur
Messages : 973
Inscription : 07 janv. 2016, 19:29
Localisation : Du côté de Issy les Moulineaux la semaine et de Péronne le week-end...

Re: PI 4 - Buster et V4 et plugins compatibles - On fait le point

Message par bronche » 29 sept. 2019, 11:12

Réservé suite
Helper Officiel Jeedom
Des images non officielles jeedom maintenues et hébergées par mes soins :
https://queen.useed.fr/SB1268/owncloud/ ... mA9xeSgBgx

Naboleo
Actif
Messages : 733
Inscription : 20 janv. 2017, 09:57

Re: PI 4 - Buster et V4 et plugins compatibles - On fait le point

Message par Naboleo » 29 sept. 2019, 11:25

Perso je suis sur un pi4/4go depuis 15 jours, j'avais déjà la V4 depuis plusieurs mois : c'est tout pareil qu'avant mais bien plus rapide que le PI3.

- Watchdog n'est pas encore compatible de base mais le PR est dispo.
- Le seul plugin qui semble me poser un souci avec cette config, c'est veolia-eau... Peu importe les manips, rien ne remonte.
Pi4/4Go +SSD 32Go (Wifi et bluetooth actifs) + Clé USB Z-Wave Everspring + rfxcom (RTS) + Google Home
7 Danfoss LC-13
2 velux module DIO
7 volets RTS
3 Sonoff
IFTTT
Capteur porte, de présence, et prise intelligente...

supergoguy
Timide
Messages : 1
Inscription : 02 sept. 2019, 11:23

Re: PI 4 - Buster et V4 et plugins compatibles - On fait le point

Message par supergoguy » 01 oct. 2019, 17:13

Chez moi, plugin : netatmoThermostat, netatmoWeather, sigri_linky, cloudsyncpro, FreeSms fonctionnent pas sous buster en RPI4

drs
Actif
Messages : 1530
Inscription : 04 nov. 2016, 10:44

Re: PI 4 - Buster et V4 et plugins compatibles - On fait le point

Message par drs » 01 oct. 2019, 19:19

Bonjour

Un petit détail qui a son importance (sauf si les choses ont changées depuis), mais le pi4 ne démarre pas sur de l’usb.
Il faut laisser une carte sd pour le boot, contrairement au pi3.
A priori cela devrait changer via une mise à jour, mais je crois qu’il n’y a pas encore de date.

Avatar de l’utilisateur
poluket
Helper
Messages : 1905
Inscription : 19 août 2017, 17:02
Localisation : Chastre - Belgique
Contact :

Re: PI 4 - Buster et V4 et plugins compatibles - On fait le point

Message par poluket » 01 oct. 2019, 21:55

Le plugin knx fonctionne sous buster
Helper Officiel Jeedom

Installation KNX + Sonos + Xiaomi Yeelight + Jeedom sur VM Proxmox + wifi unifi avec contrôleur + NAS DS1513+ + UPS + PFsense FW

tibootc
Timide
Messages : 1
Inscription : 28 mars 2018, 19:46

Re: PI 4 - Buster et V4 et plugins compatibles - On fait le point

Message par tibootc » 03 oct. 2019, 17:07

Bonjour,
Moi perso les plugins avec clés genre zigate ne fonctionnent pas, il ne trouve plus ma clé alors que sur rpi3 pas de soucis. Une idée d’où ça peut venir ?
Sur la console en lsusb il détecte bien la clé pourtant ...

mccharlet
Timide
Messages : 1
Inscription : 03 oct. 2019, 16:15

Re: PI 4 - Buster et V4 et plugins compatibles - On fait le point

Message par mccharlet » 03 oct. 2019, 17:38

Bonjour,

Merci pour ce résumé

Il existe un repository survy.org qui permet d'installer PHP 7.0 (comme sur Stretch) sur Buster
Il est maintenu pas un développeur Debian.

Doc d'installation : https://packages.sury.org/php/README.txt

Je n'ai fait aucun test avec Jeedom. J'ai déjà tester se repository pour avoir d'autre version de PHP.

Xav_74
Timide
Messages : 18
Inscription : 24 sept. 2019, 09:24
Localisation : Annecy

Re: PI 4 - Buster et V4 et plugins compatibles - On fait le point

Message par Xav_74 » 07 oct. 2019, 08:55

Bonjour à tous,

Je débute avec Jeedom grâce à une Mini+ donnée par un pote.
Mes premiers tests ont été concluants et j'avance pas mal. Malheureusement je rencontre pas mal d'instabilité et de lenteur avec cette box (un peu vieillissante :)). Du coup je vais donc rapidement opté pour un Raspberry. Mais j'hésite entre un Pi 3 B+ (fonctionnel immédiatement) et un Pi 4 (en attente de compatibilité).
A votre avis, quelle durée (approximative) pour la prise en charge officielle de ce matériel ? Je ne parle pas des plugin tiers :)
Est-ce que cela vaut vraiment le coup d'attendre ou le Pi 3 B+ sera suffisant pour ce que j'en fais ?
Pour info je dispose d'un réseau Zigbee avec une 20aine d'équipements + un réseau Zwave avec 5 équipements.

Merci d'avance pour vos conseils !

Xav
Jeedom Mini+ / Module Zigate / Module Z-wave

BLRPERES
Actif
Messages : 1112
Inscription : 31 août 2016, 10:51
Localisation : Bourg-La-Reine

Re: PI 4 - Buster et V4 et plugins compatibles - On fait le point

Message par BLRPERES » 08 oct. 2019, 10:03

bonjour a tous

je souhaite avoir vos retex sur ce sujet.
et j'en profite pour poser une question bête…

on dit dans la partie OS qu'il faut être en strect (debian9?) et juste après dans le materiel on dit que le pi4 n'accepte pas autre chose que du Buster (debian10) du coup mon cerveau à bloqué a cette étape…

et est-ce que quelqu'un a réussi a contourné le problème de boot sur usb?

Avatar de l’utilisateur
jiminy
Actif
Messages : 750
Inscription : 26 févr. 2016, 18:27
Localisation : Montpellier

Re: PI 4 - Buster et V4 et plugins compatibles - On fait le point

Message par jiminy » 08 oct. 2019, 10:23

Bonjour à tous,
Mes 3 plugins : surepetcare, kroomba et elmtouch sont compatibles PHP 7.3 (stable et beta).
Pour la compatibilité Jeedom V4 j'ai avancé et c'est utilisable (en particulier les widgets ont été mis à jour) mais il reste du travail n'hésitez as à me signaler dans les sujets officiels de ces plugins les problèmes rencontrés.
Pour le cas particulier du RPI4 j'en ai reçu un la semaine dernière en 4Go pour faire des tests (avec des cartes SATA, alimentation et boitier de chez Geekworm) mais pas encore installé.

Naboleo
Actif
Messages : 733
Inscription : 20 janv. 2017, 09:57

Re: PI 4 - Buster et V4 et plugins compatibles - On fait le point

Message par Naboleo » 10 oct. 2019, 20:09

Je viens de remettre octoprint... il est resté en v3

Code : Tout sélectionner

--- octoprint.php	2019-10-10 22:54:25.434011606 +0200
+++ octoprint.php	2019-10-10 22:54:05.474367381 +0200
@@ -12,7 +12,7 @@
             <ul id="ul_eqLogic" class="nav nav-list bs-sidenav">
                 <li class="filter" style="margin-bottom: 5px;"><input class="filter form-control input-sm" placeholder="{{Rechercher}}" style="width: 100%"/></li>
                 <?php
-                foreach ($eqLogics as $eqLogic) {
+                foreach (jeeObject::all() as $eqLogic) {
                     echo '<li class="cursor li_eqLogic" data-eqLogic_id="' . $eqLogic->getId() . '"><a>' . $eqLogic->getHumanName(true) . '</a></li>';
                 }
                 ?>
@@ -91,7 +91,7 @@
                         <select id="sel_object" class="eqLogicAttr form-control" data-l1key="object_id">
                             <option value="">{{Aucun}}</option>
                             <?php
-                            foreach (object::all() as $object) {
+                            foreach (jeeObject::all() as $object) {
                                 echo '<option value="' . $object->getId() . '">' . $object->getName() . '</option>';
                             }
                             ?>
Pi4/4Go +SSD 32Go (Wifi et bluetooth actifs) + Clé USB Z-Wave Everspring + rfxcom (RTS) + Google Home
7 Danfoss LC-13
2 velux module DIO
7 volets RTS
3 Sonoff
IFTTT
Capteur porte, de présence, et prise intelligente...

Répondre

Revenir vers « Raspberry Pi »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 8 invités